Package org.eclipse.net4j.util.factory

# Interface IFactoryKeyAware

All Known Implementing Classes:
  `AnnotationFactory`, `AuthenticatorFactory`, `AuthorizableOperationFactory`, `ChallengeNegotiatorFactory`, `ChatRenderer.AvatarGenerator.Default.Factory`, `ChatRenderer.Factory`, `CredentialsProviderFactory`, `Crypter.MetaFactory`, `DelegableReentrantLock.DelegateDetector.Factory`, `ElementWizardFactory`, `EntryControlAdvisor.Factory`, `ExceptionHandler.Factory`, `ExecutorServiceFactory`, `Factory`, `FileAuthenticatorFactory`, `FileUserManagerFactory`, `GZIPStreamWrapper.Factory`, `IConfirmationProvider.Factory`, `IConfirmationProvider.Factory.Default`, `InteractiveConfirmationProvider.Factory`, `IntrospectionProvider.Factory`, `IStreamWrapper.Factory`, `MenuFiller.Factory`, `MetaFactory`, `NegotiatorFactory`, `OpenHandler.Factory`, `OperationAuthorizerFactory`, `PropertiesFactory`, `PropertyExtender.Factory`, `RandomizerFactory`, `ResponseNegotiatorFactory`, `SingletonFactory`, `StringConverter.MetaFactory`, `StringParser.MetaFactory`, `StringTester.MetaFactory`, `TimerLifecycle.DaemonFactory`, `TreeFactory`, `TreeFactory.ContainerAware`, `UserManagerFactory`, `ValueFormatter.Factory`

public interface IFactoryKeyAware

Since:
  3.23
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`setFactoryKey(IFactoryKey factoryKey)`

## Method Details

### setFactoryKey

void setFactoryKey(IFactoryKey factoryKey)